with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2017-03-03";
  name = "osm2pgsql-${version}";

  src = fetchFromGitHub {
    owner = "openstreetmap";
    repo = "osm2pgsql";
    rev = "c49d1b91aa559444f79280d5cef206d0541c9859";
    sha256 = "0wn0bm4ghp5rpm8avwp3j9f36l1lgl2v245v5smqfqxgarjvsbvk";
  };

  buildInputs = [
    boost
    bzip2
    cmake
    expat
    #libressl    # TLS, crypto implementation
    lua
    openssl     # TLS, crypto implementation
    python python27Packages.psycopg2 # regression tests
    postgresql
    proj
    zlib
  ];

  meta = with stdenv.lib; {
    homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
    description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
    license = licenses.gpl2;
    maintainers = [ maintainers.jpierre03 ];
  };
}

